

RESOURCE AVKON_VIEW r_s60bible_mainview
    {
    menubar = r_s60bible_mainmenu;
    cba = R_AVKON_SOFTKEYS_OPTIONS_EXIT;
    }

RESOURCE AVKON_VIEW r_s60bible_bookmarkview
    {
    menubar = r_s60bible_bookmarkmenu;
    cba = R_AVKON_SOFTKEYS_OPTIONS_BACK;
    }

RESOURCE AVKON_VIEW r_s60bible_booklistview
    {
    menubar = r_s60bible_booklistmenubar;
    cba = R_AVKON_SOFTKEYS_OPTIONS_BACK;
    }

RESOURCE AVKON_VIEW r_aboutview
    {
    cba = R_AVKON_SOFTKEYS_BACK;
    }


// ---------------------------------------------------------
//
//   Menubar for S60Bible
//
// ---------------------------------------------------------
//
RESOURCE MENU_BAR r_s60bible_mainmenu
    {
    titles =
		{
        MENU_TITLE {menu_pane = r_s60bible_main_menu;}
		};
    }

// ---------------------------------------------------------
//
//   Menu for Main view
//
// ---------------------------------------------------------
//

RESOURCE MENU_PANE r_book_cascade
	{
	items =
		{
		MENU_ITEM
			{
			txt = STR_PREV;
			command = KPrevBook;
			},
		MENU_ITEM
			{
			txt = STR_NEXT;
			command = KNextBook;
			}
		};
	}

RESOURCE MENU_PANE r_chapter_cascade
	{
	items =
		{
		MENU_ITEM
			{
			txt = STR_PREV;
			command = KPrevChapter;
			},
		MENU_ITEM
			{
			txt = STR_NEXT;
			command = KNextChapter;
			}
		};
	}

RESOURCE MENU_PANE r_verse_cascade
	{
	items =
		{
		MENU_ITEM
			{
			txt = STR_PREV;
			command = KPrevVerse;
			},
		MENU_ITEM
			{
			txt = STR_NEXT;
			command = KNextVerse;
			}
		};
	}


RESOURCE MENU_PANE r_goto_cascade
	{
	items =
		{
		MENU_ITEM
			{
			txt = STR_PREV_LINE;
			command = KPrevLine;
			},
		MENU_ITEM
			{
			txt = STR_NEXT_LINE;
			command = KNextLine;
			},
		MENU_ITEM
			{
			txt = STR_PREV_PAGE;
			command = KPrevPage;
			},
		MENU_ITEM
			{
			txt = STR_NEXT_PAGE;
			command = KNextPage;
			},

		MENU_ITEM
			{
			txt = STR_BOOKSTART;
			command = KGotoTop;
			},
		MENU_ITEM
			{
			txt = STR_BOOKEND;
			command = KGotoBottom;
			}

		};
	}


RESOURCE MENU_PANE r_navigation_cascade
	{
	items =
		{
       		MENU_ITEM
			{
			txt = STR_HISTORY;
			command = KShowHistory;
			},

       		MENU_ITEM
			{
			txt = STR_BOOKLIST;
			command = KBookList;
			},

		MENU_ITEM
			{
			txt = STR_BOOK;
			cascade = r_book_cascade;
			},
		MENU_ITEM
			{
			txt = STR_CHAPTER;
			cascade = r_chapter_cascade;
			},
		MENU_ITEM
			{
			txt = STR_VERSE;
			cascade = r_verse_cascade;
			},
		MENU_ITEM
			{
			txt = STR_GOTO;
			cascade = r_goto_cascade;
			}
	};
}

RESOURCE MENU_PANE r_bible_cascade
	{
	items =
		{
       		MENU_ITEM
			{
			txt = STR_SELECT_BIBLE;
			command = KSelectBible;
			},
               MENU_ITEM
                         {
                         txt = STR_SELECT_ENCODING;
                         command = KSelectEncoding;
                         },
		MENU_ITEM
			{
			txt = STR_SELECT_FONT;
			command = KSelectFont;
			},
       		MENU_ITEM
			{
			txt = STR_UPDATE_BIBLE_LIST;
			command = KSearch;
			}
	};
}


RESOURCE MENU_PANE r_bookmark_cascade
	{
	items =
		{
       		MENU_ITEM
			{
			txt = STR_ADD_TO_BOOKMARK;
			command = KAddToBookmark;
			},
       		MENU_ITEM
			{
			txt = STR_GOTO_BOOKMARK;
			command = KGotoBookmark;
			}
	};
}




RESOURCE MENU_PANE r_settings_cascade
	{
	items =
		{
       		MENU_ITEM
			{
			txt = STR_OPTIONS;
			command = KSettings;
			},
       		MENU_ITEM
			{
			txt = STR_COLOR;
			command = KColor;
			},
       		MENU_ITEM
			{
			txt = STR_KEYBINDING;
			command = KKeyBinding;
			}
	};
}


// ---------------------------------------------------------
//
//   Menubar for S60Bible Bookmark
//
// ---------------------------------------------------------
//
RESOURCE MENU_BAR r_s60bible_bookmarkmenu
    {
    titles =
		{
        MENU_TITLE {menu_pane = r_s60bible_bookmark_menu;}
		};
    }

// ---------------------------------------------------------
//
//   Menu for bookmark view
//
// ---------------------------------------------------------
//
RESOURCE MENU_PANE r_s60bible_bookmark_menu
	{
    items =
       {
       MENU_ITEM
			{
			txt = STR_GOTO_BOOKMARK;
			command = KGotoVerse;
			},
       MENU_ITEM
			{
			txt = STR_DELETE_BOOKMARK;
			command = KDelBookmark;
			},

       MENU_ITEM
			{
			txt = STR_DELETE_ALL;
			command = KDelAll;
			}
    };
}

RESOURCE MENU_BAR r_s60bible_booklistmenubar
    {
    titles =
        {
        MENU_TITLE {menu_pane = r_s60bible_booklistmenu;}
        };
    }



RESOURCE MENU_PANE r_s60bible_booklistmenu
	{
    items =
       {
       MENU_ITEM
			{
			txt = STR_GOTO_BOOK;
			command = KGotoBook;
			},
       MENU_ITEM
			{
			txt = STR_BACK;
			command = KGotoBack;
			}
    };
}


RESOURCE DIALOG r_choose_color
{
	flags = EEikDialogFlagWait;
	//flags = EGeneralQueryFlags|EEikDialogFlagNotifyEsc;
    buttons = R_AVKON_SOFTKEYS_OK_CANCEL;	
	items = 
	{
		DLG_LINE 
		{
			type = ES60BibleColorChooserDialog;
			id = ES60BibleColorChooserControl;
			control = COLORCHOOSERCONTROL
			{
			
			};
		}
	};

}

RESOURCE DIALOG r_number_to_copy
    {
    flags = EGeneralQueryFlags;
    buttons = R_AVKON_SOFTKEYS_OK_CANCEL;
    items =
        {
        DLG_LINE
            {
            type = EAknCtQuery;
            id = EGeneralQuery;
            control= AVKON_DATA_QUERY
                {
                layout = ENumberLayout;
                label = "Number of verses to copy";
//                control = NUMBER_EDITOR
                control = AVKON_INTEGER_EDWIN
                    {
                    min = 1;
                    max = 10;
                    };
                };
            }
        };
    }



RESOURCE DIALOG r_aknexquery_oneline_data_query
    {
    flags = EGeneralQueryFlags;
    buttons = R_AVKON_SOFTKEYS_OK_CANCEL;
    items =
        {
        DLG_LINE
            {
            type = EAknCtQuery;
            id = EGeneralQuery;
            control = AVKON_DATA_QUERY
                {
                layout = EStaticSizeDataLayout; // EDataLayout;
                label = STR_LABEL_FOR_GOTO;
                control = EDWIN
                    {
                    flags = EEikEdwinNoHorizScrolling;// | EEikEdwinResizable;
                    width = AKNEXQUERY_EDWIN_WIDTH;
                    //lines = AKNEXQUERY_ONELINE_DATAQUERY_LINES;
                    maxlength = AKNEXQUERY_EDWIN_MAXLENGTH;
                    // added to limit expanding in forms.
                    // If you want full screen use 6 here
                    max_view_height_in_lines = AKNEXQUERY_ONELINE_DATAQUERY_LINES; // 6;
                    // if you have the line above, you must have this.
                    // It's calculable from LAF
                    base_line_delta = 21;
                    };
                };
            }
        };
    }


RESOURCE DIALOG r_versenotfound
  {
  flags = EAknDialogGenericNoteFlags;
  buttons = R_AVKON_SOFTKEYS_OK_EMPTY;
  items =
    {
    DLG_LINE
      {
      type = EAknCtNote;
      id = EGeneralNote;
      control =  AVKON_NOTE
        {
        layout = EGeneralLayout;
        singular_label = STR_LABEL_VERSE_NOT_FOUND;
        };
      }
    };
  }


RESOURCE DIALOG r_find
    {
    flags = EAknWaitNoteFlags;
    buttons = R_AVKON_SOFTKEYS_CANCEL;
    items =
        {
        DLG_LINE
            {
            type = EAknCtNote;
            id = EFindingFiles;
            control= AVKON_NOTE
                {
                layout = EWaitLayout;
                singular_label = STR_LABEL_FINDING_FILES;
                //plural_label = "";
                imagefile = AVKON_BMPFILE_NAME;
//                imageid = EMbmAvkonQgn_note_voice;
//                imagemask = EMbmAvkonQgn_note_voice_mask;
                imageid = EMbmAvkonQgn_note_progress;
                imagemask = EMbmAvkonQgn_note_progress_mask;
                animation = R_QGN_GRAF_WAIT_BAR_ANIM;
                };
            }
        };
    }


RESOURCE AVKON_VIEW r_firstview
	{
	cba=R_AVKON_SOFTKEYS_OPTIONS_BACK;
	menubar=r_settingsexample_menubar;
	}


RESOURCE MENU_BAR r_settingsexample_menubar
    {
    titles =
        {
        MENU_TITLE {menu_pane = r_settingsexample_menu;}
        };
    }

RESOURCE MENU_PANE r_settingsexample_menu
    {
    items =
        {
/*        MENU_ITEM
		    {
			command = ESettingCmdEdit;
			txt = STR_EDIT;
			},*/
        MENU_ITEM
		    {
			command = KSaveOptions;
			txt = STR_SAVE;
			}
        };
    }


RESOURCE AVKON_SETTING_ITEM_LIST r_settings
{
	title = STR_SETTINGS;
	items =
		{
		AVKON_SETTING_ITEM
			{
            		identifier = ESettingBackLight;
			// no setting_page_resource - can edit in place
            		associated_resource = r_binary_setting_backlight;
            		name = STR_OPTION_BACKLIGHT;
			},
        	AVKON_SETTING_ITEM
            		{
            		identifier = ESettingFullScreen;
			// no setting_page_resource - can edit in place
            		associated_resource = r_binary_setting_fullscreen;
            		name = STR_OPTION_FULLSCREEN_STARTUP;
            },
        	AVKON_SETTING_ITEM
            		{
            		identifier = ESettingFullBookName;
			// no setting_page_resource - can edit in place
            		associated_resource = r_binary_setting_fullscreen;
            		name = STR_LONG_BOOKNAME;
            }
	};
}


RESOURCE AVKON_POPUP_SETTING_TEXTS r_binary_setting_fullscreen
{
    setting_texts_resource = r_binary_settingitem_fullscreen;
    popped_up_texts_resource = r_binary_settingpage_fullscreen;
}

RESOURCE ARRAY r_binary_settingitem_fullscreen
{
    items =
        {
        AVKON_ENUMERATED_TEXT
            {
            value = 0;
            text = STR_OPTION_NO;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 1;
            text = STR_OPTION_YES;
            }
        };
}

RESOURCE ARRAY r_binary_settingpage_fullscreen
{
	items =
		{
		LBUF { txt = STR_OPTION_NO;   },
		LBUF { txt = STR_OPTION_YES;   }
		};
}


RESOURCE AVKON_POPUP_SETTING_TEXTS r_binary_setting_backlight
{
    setting_texts_resource = r_binary_settingitem_backlight;
    popped_up_texts_resource = r_binary_settingpage_backlight;
}

RESOURCE ARRAY r_binary_settingitem_backlight
{
    items =
        {
        AVKON_ENUMERATED_TEXT
            {
            value = 0;
            text = STR_OPTION_NORMAL;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 1;
            text = STR_OPTION_ALWAYS_ON;
            }
        };
}

RESOURCE ARRAY r_binary_settingpage_backlight
{
	items =
		{
		LBUF { txt = STR_OPTION_NORMAL;   },
		LBUF { txt = STR_OPTION_ALWAYS_ON;   }
		};
}



RESOURCE TBUF r_about_line_1 { buf=STR_ABOUT_L1; }
RESOURCE TBUF r_about_line_2 { buf=STR_ABOUT_L2; }
RESOURCE TBUF r_about_line_3 { buf=STR_ABOUT_L3; }
RESOURCE TBUF r_about_line_4 { buf=STR_ABOUT_L4; }
RESOURCE TBUF r_about_line_5 { buf=STR_TRANSLATION_INFO; }
RESOURCE TBUF r_about_line_6 { buf=STR_TRANSLATED_BY; }
RESOURCE TBUF r_about_line_7 { buf=STR_TRANSLATOR_EMAIL; }
RESOURCE TBUF r_about_line_8 { buf=STR_TRANSLATOR_PHONE; }

RESOURCE TBUF  r_s60bible_format_chapter_plural { buf=FORMAT_CHAPTER_PLURAL; }
RESOURCE TBUF  r_s60bible_format_chapter { buf=FORMAT_CHAPTER; }

RESOURCE AVKON_VIEW r_keybindingview
	{
	cba=R_AVKON_SOFTKEYS_OPTIONS_BACK;
	menubar=r_keybinding_menubar;
	}


RESOURCE MENU_BAR r_keybinding_menubar
    {
    titles =
        {
        MENU_TITLE {menu_pane = r_keybinding_menu;}
        };
    }

RESOURCE MENU_PANE r_keybinding_menu
    {
    items =
        {
        MENU_ITEM
		    {
			command = ESettingCmdKeyEdit;
			txt = STR_EDIT;
			},
        MENU_ITEM
		    {
			command = KSaveKeyBindings;
			txt = STR_SAVE;
			}
        };
    }


RESOURCE AVKON_SETTING_ITEM_LIST r_keybindingsettings
{
	title = STR_KEYBINDING_TITLE;
	items =
		{
		AVKON_SETTING_ITEM
			{
			identifier = EKeyUp;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_UP;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKeyDown;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_DOWN;
			},

		AVKON_SETTING_ITEM
			{
			identifier = EKeyLeft;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_LEFT;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKeyRight;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_RIGHT;
			},

		AVKON_SETTING_ITEM
			{
			identifier = EKeyFire;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_CENTER;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKey0;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_0;
			},

		AVKON_SETTING_ITEM
			{
			identifier = EKey1;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_1;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKey2;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_2;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKey3;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_3;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKey4;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_4;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKey5;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_5;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKey6;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_6;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKey7;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_7;
			},
		AVKON_SETTING_ITEM
			{
			identifier = EKey8;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_8;
			},

		AVKON_SETTING_ITEM
			{
			identifier = EKey9;
			setting_page_resource = r_bindings_page;
			associated_resource = r_bindings_page_texts;		// gives available options
			name = STR_KEY_9;
			}
	};
}

RESOURCE AVKON_SETTING_PAGE r_bindings_page
	{
	label=STR_LABEL_BIND_TO;
	type = EAknCtPopupSettingList;
	editor_resource_id = r_bindingbtns;
	//hint_text="hint text";
	}


RESOURCE POPUP_SETTING_LIST r_bindingbtns
	{
	}


RESOURCE AVKON_POPUP_SETTING_TEXTS r_bindings_page_texts
    {
    setting_texts_resource = r_bindings_item_texts;
    popped_up_texts_resource = r_bindings_editor_texts;
    }

RESOURCE ARRAY r_bindings_item_texts
    {
    items =
        {
        AVKON_ENUMERATED_TEXT
            {
            value = 0;
            text = STR_OPTION_DEFAULT_BINDING;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 1;
            text = STR_PREV_LINE;
            },
	AVKON_ENUMERATED_TEXT
            {
            value = 2;
            text = STR_NEXT_LINE;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 3;
            text = STR_PREV_PAGE;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 4;
            text = STR_NEXT_PAGE;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 5;
            text = STR_PREV_VERSE;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 6;
            text = STR_NEXT_VERSE;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 7;
            text = STR_PREV_CHAPTER;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 8;
            text = STR_NEXT_CHAPTER;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 9;
            text = STR_PREV_BOOK;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 10;
            text = STR_NEXT_BOOK;
            },
        AVKON_ENUMERATED_TEXT
            {
            value = 11;
            text = STR_BOOKMARK;
	    },
        AVKON_ENUMERATED_TEXT
            {
            value = 12;
            text = STR_HISTORY;
	    },
        AVKON_ENUMERATED_TEXT
            {
            value = 13;
            text = STR_BOOKLIST;
	    },
        AVKON_ENUMERATED_TEXT
            {
            value = 14;
            text = STR_BOOKSTART;
	    },
        AVKON_ENUMERATED_TEXT
            {
            value = 15;
            text = STR_BOOKEND;
	    },
		AVKON_ENUMERATED_TEXT
            {
            value = 16;
            text = STR_FULLSCREEN;
	    }
        };
    }

RESOURCE ARRAY r_bindings_editor_texts
	{
	items =
		{
		LBUF { txt = STR_OPTION_DEFAULT_BINDING;   },
		LBUF { txt = STR_PREV_LINE;   },
		LBUF { txt = STR_NEXT_LINE;   },
		LBUF { txt = STR_PREV_PAGE;   },
		LBUF { txt = STR_NEXT_PAGE;   },
		LBUF { txt = STR_PREV_VERSE;   },
		LBUF { txt = STR_NEXT_VERSE;   },
		LBUF { txt = STR_PREV_CHAPTER;   },
		LBUF { txt = STR_NEXT_CHAPTER;   },
		LBUF { txt = STR_PREV_BOOK;   },
		LBUF { txt = STR_NEXT_BOOK;   },
		LBUF { txt = STR_BOOKMARK;   },
		LBUF { txt = STR_HISTORY;   },
		LBUF { txt = STR_BOOKLIST;   },
		LBUF { txt = STR_BOOKSTART;   },
		LBUF { txt = STR_BOOKEND;   },
		LBUF { txt = STR_FULLSCREEN;   }
		};
	}

RESOURCE TBUF r_s60bible_string_history
	{
	buf = STR_HISTORY;
	}

RESOURCE TBUF r_s60bible_string_select_bible
	{
	buf = STR_SELECT_BIBLE;
	}

RESOURCE TBUF r_s60bible_string_textcopied
	{
	buf = STR_TEXT_COPIED;
	}

RESOURCE TBUF r_s60bible_string_added_to_bookmark
	{
	buf = STR_ADDED_TO_BOOKMARK;
	}

RESOURCE TBUF r_s60bible_string_bible_not_found
	{
	buf = STR_BIBLE_NOT_FOUND;
	}

RESOURCE TBUF r_s60bible_string_about_title
{
	buf = STR_ABOUT_TITLE;
}
RESOURCE TBUF r_s60bible_string_about_email
{

	buf = STR_ABOUT_EMAIL;
}

RESOURCE TBUF r_s60bible_string_about_url
{
	buf = STR_ABOUT_URL;
}


RESOURCE DIALOG r_list_dialog
{
    flags = EAknDialogSelectionList | EEikDialogFlagWait;
    buttons = R_AVKON_SOFTKEYS_SELECT_CANCEL;

    items = 
    {
        DLG_LINE
        {
            type = EAknCtSingleListBox;
            id = ESelectionListControl;
            control = LISTBOX
            {
                flags = EAknListBoxSelectionList;
            };
        }
    };
}



RESOURCE DIALOG r_color_list {
	flags = EGeneralQueryFlags;
	buttons =  R_AVKON_SOFTKEYS_SELECT_CANCEL;
	items =
	{
		DLG_LINE
		{
			type = EAknCtListQueryControl;
			id = EColorList;
			control = AVKON_LIST_QUERY_CONTROL
			{
				listtype = EAknCtSinglePopupMenuListBox; 
                listbox = LISTBOX 
                    { 
                    flags = EAknListBoxMenuList; 
                    height = 5; 
                    width = 10; 
                    array_id = r_color_query_item; 
                    }; 
					heading = STR_SELECT_COLOR; 
			};
		
		}
	
	};
}

/*
Corresponds with 		
		EVerseText,
		EVerseBackground,
		EVerseNumber,
		EHeaderText,
		EHeaderFrame,
		EHeaderBG,

*/
RESOURCE ARRAY r_color_query_item 
    { 
    items = 
        { 
        LBUF {txt = STR_VERSE_TEXT; }, 
        LBUF {txt = STR_VERSE_BG; }, 
        LBUF {txt = STR_VERSE_NUMBER; },
        LBUF {txt = STR_HEADER_TEXT; },
		LBUF {txt = STR_HEADER_FRAME; }, 
        LBUF {txt = STR_HEADER_BG; } 

        }; 
    } 


	
    
RESOURCE DIALOG r_chapter_query {
    flags = EGeneralQueryFlags;
    buttons = R_AVKON_SOFTKEYS_OK_CANCEL;
    items =
        {
        DLG_LINE
            {
            type = EAknCtQuery;
            id = EGeneralQuery;
            control = AVKON_DATA_QUERY
                {
                layout = ENumberLayout;
                label = STR_CHAPTER;
                control = AVKON_INTEGER_EDWIN
                    {
						min = 1;
						max = 999;
                    };
                };
            }
        };
    }
	
RESOURCE DIALOG r_verse_query
{
    flags = EGeneralQueryFlags;
    buttons = R_AVKON_SOFTKEYS_OK_CANCEL;
    items =
        {
        DLG_LINE
            {
            type = EAknCtQuery;
            id = EGeneralQuery;
            control = AVKON_DATA_QUERY
                {
                layout = ENumberLayout;
                label = STR_VERSE;
                control = AVKON_INTEGER_EDWIN
                    {
						min = 1;
						max = 999;
                    };
                };
            }
        };
    }
		