#include <barsread.h>
#include <e32math.h>
#include <eikappui.h>
#include <eikenv.h>
#include <eiklabel.h> // for label
#include <coedef.h>
#include <eikenv.h>
#include <ckninfo.h>
#include <eikrted.h>
#include <txtrich.h>
#include <ckntitle.h>
#include <eiktbar.h>
#include <eikaufty.h>
#include <eikspane.h>
#include <eikdoc.h>
#include <txtrich.h>
#include <charconv.h>
#include <ckndgopn.h>
#include <ckndgsve.h>
#include <cknconf.h>
#include <coeutils.h>
#include <eikmenup.h>
#include <cknenv.h>
#include <eikenv.h>
#include <utf.h>
#include "S80BibleDocument.h"
#include "Viewer.h"
#include "VerseInfo.h"
#include "S80Bible.rsg"

const TInt KDefaultTextGranularity=256;

#include <f32file.h>

#include <gdi.h>

#define MOBILE_TITLERECT	TRect(TPoint(0,0), TPoint(600,30))
#include "S80BibleContainer.h"

CS80BibleContainer::CS80BibleContainer(CS80BibleView* aView, CS80BibleDocument* aDocument)
:  iView(aView), iDocument(aDocument)
    {
    }


void CS80BibleContainer::ConstructL( const TRect& aRect)
{
    CreateWindowL();
	TRect clientRect=aRect;	
	SetRect(aRect);
	ActivateL();
}

CS80BibleContainer::~CS80BibleContainer()
{
    
}

void CS80BibleContainer::HandleCommandL( TInt /*aCommand */)
{
}

void CS80BibleContainer::SizeChanged()
{
//	iEditor->SetExtent(TPoint(10, 10), TSize(100, 100));
	//MEikAppUiFactory* factory = CEikonEnv::Static()->AppUiFactory(); 
	//CEikToolBar* band = factory->ToolBand();					// Title

	TPoint t = Rect().iTl;
	//TSize ts = Rect().Size();
	
}


TKeyResponse CS80BibleContainer::OfferKeyEventL( const TKeyEvent& aKeyEvent, 
    TEventCode aType)
{
    //if (iEditor->IsFocused()){
	//	return iEditor->OfferKeyEventL(aKeyEvent, aType);
	//}
    return EKeyWasNotConsumed;
}


TInt CS80BibleContainer::CountComponentControls() const
{
    return 0;
}

CCoeControl* CS80BibleContainer::ComponentControl( TInt aIndex ) const
{    
	return NULL;
}

void CS80BibleContainer::Draw( const TRect& aRect ) const
{  
	CWindowGc& graphicsContext = SystemGc();

	graphicsContext.CancelClippingRegion();
	graphicsContext.CancelClippingRect();
	graphicsContext.SetBrushStyle(CGraphicsContext::ESolidBrush);
	graphicsContext.SetBrushColor(iDocument->Model()->GetColor(Viewer::EVerseBackground));
	//graphicsContext.SetBrushColor(KRgbBlue);

	graphicsContext.Clear();
	TRect drawRect=aRect;

	if (!iDocument->Model()->IsReady()){
		HBufC* str = CCoeEnv::Static()->AllocReadResourceLC(R_S60BIBLE_STRING_BIBLE_NOT_FOUND);
		//_LIT(msg, "Bible Not Found");
		graphicsContext.UseFont(CEikonEnv::Static()->NormalFont());
		int w = CEikonEnv::Static()->NormalFont()->TextWidthInPixels(*str);
		int ctr = (drawRect.Width()-w)/2;
		graphicsContext.DrawText(*str,  TPoint(ctr, (drawRect.Height()/2)));
		int xi =0;
		for (xi=1; xi<5; xi++){
			graphicsContext.DrawText(*str,  TPoint(xi, (drawRect.Height()/2)));
		}
		CleanupStack::PopAndDestroy(str);
		graphicsContext.DiscardFont();
		return;
	}

	const CFont *font = iDocument->Model()->GetFont();
	char *s = iDocument->Model()->SimpleBookName();
	TBuf<256> stat;
	iDocument->Model()->MyStringToDes(s, stat);
	
	User::Free(s);
	
	VerseInfo *v = iDocument->Model()->GetVerseHead();
	
	int start_chapter, start_verse, start_line;
	start_chapter = iDocument->Model()->GetStartChapter();
	start_verse = iDocument->Model()->GetStartVerse();
	start_line = iDocument->Model()->GetStartLine();
	while (v) {
		if (v->verse==start_verse && v->chapter==start_chapter) {
			break;
		}
		v = v->next;
	}
	
	stat.AppendNum(start_chapter);
	graphicsContext.UseFont(font);
	
	TPoint start = TPoint(15 , 20 + font->HeightInPixels());
	graphicsContext.UseFont(font);
	
	TRect frame(drawRect.iTl.iX, 0, drawRect.Width(), 20 + font->HeightInPixels());
	
	graphicsContext.SetBrushStyle(CGraphicsContext::ESolidBrush);
	graphicsContext.SetBrushColor(iDocument->Model()->GetColor(Viewer::EHeaderBG));
	graphicsContext.SetPenColor(iDocument->Model()->GetColor(Viewer::EHeaderFrame));
	graphicsContext.DrawRect(frame);
	frame.Shrink(1,1);
	graphicsContext.DrawRect(frame);
	graphicsContext.SetBrushStyle(CGraphicsContext::ENullBrush);
	graphicsContext.SetPenColor(iDocument->Model()->GetColor(Viewer::EHeaderText));
	graphicsContext.DrawText(stat, TPoint(10+drawRect.iTl.iX, font->HeightInPixels()+5));
	
	start.iY += font->HeightInPixels();
	
	
	int idx = start_line;
	TBuf<4> strversenum;
	TRgb textColor = iDocument->Model()->GetColor(Viewer::EVerseText);
	TRgb numberColor = iDocument->Model()->GetColor(Viewer::EVerseNumber);
	graphicsContext.SetPenColor(textColor);
	if (!iDocument->Model()->IsRToL()){ 
		while (v) {
			while (idx<v->lines->Count() && start.iY<drawRect.Height()) {
				if (idx == 0) {
					strversenum.Zero();
					strversenum.AppendNum(v->verse);
					graphicsContext.SetPenColor(numberColor);
					graphicsContext.DrawText(strversenum,  TPoint(2+drawRect.iTl.iX, start.iY));
					graphicsContext.SetPenColor(textColor);
					int sw = font->TextWidthInPixels(strversenum)+drawRect.iTl.iX+5;
					graphicsContext.DrawText(v->lines->At(idx), TPoint(sw, start.iY));
				} else {
					graphicsContext.DrawText((TPtrC16)v->lines->At(idx), TPoint(2+drawRect.iTl.iX, start.iY));
				}
				start.iY += font->HeightInPixels();
				idx++;
			}
			idx = 0;
			v = v->next;
		}
	} else {
		while (v) {
			while (idx<v->lines->Count() && start.iY<drawRect.Height()) {
				if (idx == 0) {
					strversenum.Zero();
					strversenum.AppendNum(v->verse);
					graphicsContext.SetPenColor(numberColor);
					int sw = font->TextWidthInPixels(strversenum);
					graphicsContext.DrawText(strversenum,  TPoint(drawRect.Width()-sw+drawRect.iTl.iX, start.iY));
					graphicsContext.SetPenColor(textColor);
					int wl = font->TextWidthInPixels((TPtrC16)v->lines->At(idx));
					graphicsContext.DrawText(v->lines->At(idx), TPoint(drawRect.Width()-sw-wl-5+drawRect.iTl.iX, start.iY));
					
				} else {
					int pos = drawRect.Width() - font->TextWidthInPixels((TPtrC16)v->lines->At(idx));
					graphicsContext.DrawText((TPtrC16)v->lines->At(idx), TPoint(pos+drawRect.iTl.iX, start.iY));
				}
				start.iY += font->HeightInPixels();
				idx++;
			}
			idx = 0;
			v = v->next;
		}
	}
	
	graphicsContext.DiscardFont();

}

void CS80BibleContainer::HandleControlEventL(
            CCoeControl* /*aControl*/,
            TCoeEvent /*aEventType*/ )
{
        
}        
