/* Copyright (c) 2003, Nokia Mobile Phones. All rights reserved */

#include <eikgted.h> 
#include <eikseced.h> 
#include <eikenv.h>
#include <e32base.h>
#include <eikchlst.h>


#include "S80Bible.hrh"
#include "gotodialog.h"

// Constructor
CGotoDialog::CGotoDialog(TInt &aIndex, TDes& aChapterRef, 
                                           TDes& aVerseRef)
{
	iIndex = &aIndex;
	iChapter = &aChapterRef;
	iVerse = &aVerseRef;
}

void CGotoDialog::SetList(CDesCArrayFlat * aList)
{
	iStrings = aList;
}

// Preset fields prior to dialog display
void CGotoDialog::PreLayoutDynInitL()
{
    CCoeControl* myControlPtr = this->Control(ES60BibleBookList);
    CEikChoiceList* mychoicelist = static_cast<CEikChoiceList*>(myControlPtr);
    mychoicelist->SetArrayL(iStrings);
	mychoicelist->SetArrayExternalOwnership(ETrue);
		
	if (*iIndex>0 && *iIndex<iStrings->Count()) {
		mychoicelist->SetCurrentItem(*iIndex);
	}

    CEikEdwin* chapCtrl = static_cast<CEikEdwin*>(Control(ES60BibleChapter));
	chapCtrl->SetTextL(iChapter);
    CEikEdwin* verseCtrl = static_cast<CEikEdwin*>(Control(ES60BibleVerse));
	verseCtrl->SetTextL(iVerse);

}


// Extract text from dialog
TBool CGotoDialog::OkToExitL(TInt /* aKey */)
{
    CCoeControl* myControlPtr = this->Control(ES60BibleBookList);
    CEikChoiceList* mychoicelist = static_cast<CEikChoiceList*>(myControlPtr);
	
	*iIndex = mychoicelist->CurrentItem();

    CEikEdwin* chapCtrl = static_cast<CEikEdwin*>(Control(ES60BibleChapter));
    chapCtrl->GetText((*iChapter));

    CEikEdwin* verseCtrl = static_cast<CEikEdwin*>(Control(ES60BibleVerse));
    verseCtrl->GetText((*iVerse));

    return ETrue;
}

