/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/


#ifndef __CFILE_FINDER_ENGINE_H__
#define __CFILE_FINDER_ENGINE_H__
#include <e32std.h>
#include <e32base.h>
#include <f32file.h>
class CStringList;

class CFileFinderEngine : public CBase {
	public:
		CFileFinderEngine(RFs& aFs, CStringList *aStrList);
		void ConstructL();
		~CFileFinderEngine();
		void InitFind();
		void CancelFind();
		TBool FindStep();
		TBool IsDone();
	private:
		CDirScan *iDirScan;
		CDir* iDirList;
		RFs iFs;
		int iCurrentDrive;
		TBool iDone;
		int iIndex;
		TDriveList iDrivelist;
		CStringList *iStrList;
};

#endif
