
#ifndef MOBILEEDITORVIEW_H
#define MOBILEEDITORVIEW_H

// INCLUDES
#include <eikbctrl.h>
#include <ckntitle.h>

// CONSTANTS
const TUid KViewId = { 1 }; // UID of view

// FORWARD DECLARATIONS
class CS80BibleContainer;
class CS80BibleDocument;

// CLASS DECLARATION

/**
* CAknExSliderView view class.
*/
class CS80BibleView : public CCoeControl
    {
    public: // Constructors and destructor

		static CS80BibleView* NewL(CS80BibleDocument*aDocument, TRect& aRect);

       /**
        * Destructor.
        */
        virtual ~CS80BibleView();

		void ConstructL(const TRect& aRect);

    public: // From CAknView

        /**
        * From CAknView, Id.
        * Returns the ID of view.
        * @return The ID of view.
        */
        TUid Id() const;
		void Draw(const TRect& aRect) const;
		void SizeChanged();

        /**
        * HandleCommand Called from AknSliderAppUi.
        * Handles the commands.
        * @param aCommand Command to be handled.
        */
        void HandleCommandL( TInt aCommand );

    public: // New Functions
        /**
        * Set Title and Show Outline Number
        */



    private: // New Functions

        /**
        * Deletes the Container class object.
        */
        void CloseContainer();

    private: // From AknView

        /**
        * Default Constructor.
        */
        CS80BibleView();
			 
		/**
        * DoActivateL.
        * Creates the Container class object.
        */

        /**
        * From AknView, DoDeactivate.
        * Deletes the Container class object.
        */

    private: // Data
        //CS80BibleContainer* iContainer;
		CS80BibleDocument* iDocument;
		TRect iRect;
  /*@var iOffScreenBitmap  off screen bitmap
  */
	CFbsBitmap* iOffScreenBitmap;

/*!  
  @var iOffScreenBitmapDevice  off screen bitmap device
  */
	CFbsBitmapDevice* iOffScreenBitmapDevice;
	
/*!  
  @var iOffScreenBitmapGC  off screen bitmap graphics context
  */
	CFbsBitGc* iOffScreenBitmapGc;


	public:
		//CS80BibleContainer* Container();
		TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType);
		void ExecuteCommand(int idx);
    };

#endif

// End of File
